// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface PhaseMMTNOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.PhaseMMTN)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsA = 1;</code>
   * @return Whether the phsA field is set.
   */
  boolean hasPhsA();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsA = 1;</code>
   * @return The phsA.
   */
  openfmb.commonmodule.ReadingMMTN getPhsA();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsA = 1;</code>
   */
  openfmb.commonmodule.ReadingMMTNOrBuilder getPhsAOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsAB = 2;</code>
   * @return Whether the phsAB field is set.
   */
  boolean hasPhsAB();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsAB = 2;</code>
   * @return The phsAB.
   */
  openfmb.commonmodule.ReadingMMTN getPhsAB();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsAB = 2;</code>
   */
  openfmb.commonmodule.ReadingMMTNOrBuilder getPhsABOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsB = 3;</code>
   * @return Whether the phsB field is set.
   */
  boolean hasPhsB();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsB = 3;</code>
   * @return The phsB.
   */
  openfmb.commonmodule.ReadingMMTN getPhsB();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsB = 3;</code>
   */
  openfmb.commonmodule.ReadingMMTNOrBuilder getPhsBOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsBC = 4;</code>
   * @return Whether the phsBC field is set.
   */
  boolean hasPhsBC();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsBC = 4;</code>
   * @return The phsBC.
   */
  openfmb.commonmodule.ReadingMMTN getPhsBC();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsBC = 4;</code>
   */
  openfmb.commonmodule.ReadingMMTNOrBuilder getPhsBCOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsC = 5;</code>
   * @return Whether the phsC field is set.
   */
  boolean hasPhsC();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsC = 5;</code>
   * @return The phsC.
   */
  openfmb.commonmodule.ReadingMMTN getPhsC();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsC = 5;</code>
   */
  openfmb.commonmodule.ReadingMMTNOrBuilder getPhsCOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsCA = 6;</code>
   * @return Whether the phsCA field is set.
   */
  boolean hasPhsCA();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsCA = 6;</code>
   * @return The phsCA.
   */
  openfmb.commonmodule.ReadingMMTN getPhsCA();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ReadingMMTN phsCA = 6;</code>
   */
  openfmb.commonmodule.ReadingMMTNOrBuilder getPhsCAOrBuilder();
}
